

local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)

local sealevel = aom_vars.overworld.sea_level
local alt_max = aom_mirecaves.max + 40 + 10
local alt_min = aom_mirecaves.min - 10

local n = aom_mirecaves.worknodes

-- Clean up

minetest.register_ore({
    ore_type       = "stratum",
    ore            = "aom_mirecaves:stone",
    wherein        = {n.temp_node2},
    y_min = alt_min,
    y_max = alt_max,
    biomes = aom_mirecaves.biome_list,
})
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "aom_mirecaves:stone",
    wherein        = {n.temp_node},
    y_min = alt_min,
    y_max = alt_max,
    biomes = aom_mirecaves.biome_list,
})
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "aom_mirecaves:stone",
    wherein        = {n.topsoil},
    y_min = alt_min,
    y_max = alt_max,
    biomes = aom_mirecaves.biome_list,
})
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "aom_mirecaves:stone",
    wherein        = {n.ceiling},
    y_min = alt_min,
    y_max = alt_max,
    biomes = aom_mirecaves.biome_list,
})
minetest.register_ore({
    ore_type       = "stratum",
    ore            = "aom_mirecaves:stone",
    wherein        = {n.topsoil2},
    y_min = alt_min,
    y_max = alt_max,
    biomes = aom_mirecaves.biome_list,
})
